<?php

if (! defined('ABSPATH')) {
    exit;
}

/**
 * Custom fields for product_cat taxonomy
 *
 * @link       http://ep.hr/
 * @since      1.0.0
 *
 * @package    Tecdoc_Woo
 * @subpackage Tecdoc_Woo/includes
 */

class Tecdoc_Term_Custom_Fields
{
    public function __construct()
    {
        add_action('product_cat_add_form_fields', array($this, 'woocommerce_add_meta_fields'), 10, 1);
        add_action('product_cat_edit_form_fields', array($this, 'woocommerce_edit_meta_fields'), 10, 1);
        add_action('edited_product_cat', array($this, 'woocommerce_save_meta_fields'), 10, 1);
        add_action('create_product_cat', array($this, 'woocommerce_save_meta_fields'), 10, 1);
    }

    function woocommerce_add_meta_fields()
    {
        ?>
        <div class="form-field">
            <label for="genericArticleIds">Generic Article IDs</label>
            <input type="text" name="genericArticleIds" id="genericArticleIds">
        </div>
        <?php
    }

    //Product Cat Edit page
    function woocommerce_edit_meta_fields($term)
    {
        //getting term ID
        $term_id = $term->term_id;

        // retrieve the existing value(s) for this meta field.
        $tecdoc_id = get_term_meta($term_id, 'genericArticleIds', true);
        ?>
        <tr class="form-field">
            <th scope="row" valign="top"><label for="genericArticleIds">Generic Article IDs</label></th>
            <td>
                <input type="text" name="genericArticleIds" id="genericArticleIds" value="<?php echo esc_attr($tecdoc_id) ? esc_attr($tecdoc_id) : ''; ?>">
            </td>
        </tr>
        <?php
    }

    function woocommerce_save_meta_fields($term_id)
    {
        $tecdoc_id = filter_input(INPUT_POST, 'genericArticleIds');
        update_term_meta($term_id, 'genericArticleIds', $tecdoc_id);
    }
}
